/* 银行系统 */

/* 所有物品名字 */
const allGoods = {
    16: {name:'银行卡',src:require('@/assets/img/goods/bankCard.png'),id:16},
    19: {name:'定期存单',src:require('@/assets/img/seal/paid.png'),id:19},
    '预留印鉴卡': {name:'预留印鉴卡',src:require('@/assets/img/seal/paid.png'),id:'预留印鉴卡'},
    '转账支票': {name:'转账支票',src:require('@/assets/img/goods/xd-zzzp.png'),id:'转账支票'},
    30: {name:'银行承兑汇票',src:require('@/assets/img/seal/paid.png'),id:30},
    '现金支票': {name:'现金支票',src:require('@/assets/img/goods/xjzp.png'),id:'现金支票'},
    '取款凭条': {name:'取款凭条',src:require('@/assets/img/goods/qkpt.png'),id:'取款凭条'},
    '转账凭条': {name:'转账凭条',src:require('@/assets/img/goods/zzpt.png'),id:'转账凭条'},
    '业务收费凭证': {name:'业务收费凭证',src:require('@/assets/img/goods/ywsfpz.png'),id:'业务收费凭证'},
    '利息清单': {name:'利息清单',src:require('@/assets/img/goods/lxqd.png'),id:'利息清单'},
    '普通空白凭证': {name:'普通空白凭证',src:require('@/assets/img/goods/ptkbpz.png'),id:'普通空白凭证'},
    13: {name:'身份证',src:require('@/assets/img/goods/idcard.png'),id:13},
    23: {name:'身份证复印件',src:require('@/assets/img/idCard-copy-sm.png'),id:23},
    14: {name:'开户申请书',src:require('@/assets/img/goods/khsqs.png'),id:14},
    15: {name:'现金',src:require('@/assets/img/goods/cash-sm.png'),id:15},
    17: {name:'存款凭条',src:require('@/assets/img/goods/ckpt.png'),id:17},

    // 以下是我自己加的id 本来没有的 业务需要
    141: {name:'开户申请书凭证联',src:require('@/assets/img/goods/khsqs.png'),id:141},
    142: {name:'开户申请书回单',src:require('@/assets/img/goods/khsqs.png'),id:142},
    171: {name:'存款凭条凭证联',src:require('@/assets/img/goods/ckpt.png'),id:171},
    172: {name:'存款凭条回单',src:require('@/assets/img/goods/ckpt.png'),id:172},
    '取款凭条凭证联': {name:'取款凭条凭证联',src:require('@/assets/img/goods/qkpt.png'),id:'取款凭条凭证联'},
    '取款凭条回单': {name:'取款凭条回单',src:require('@/assets/img/goods/qkpt.png'),id:'取款凭条回单'},
    '转账凭条凭证联': {name:'转账凭条凭证联',src:require('@/assets/img/goods/zzpt.png'),id:'转账凭条凭证联'},
    '转账凭条回单': {name:'转账凭条回单',src:require('@/assets/img/goods/zzpt.png'),id:'转账凭条回单'},
    '利息清单凭证联': {name:'利息清单凭证联',src:require('@/assets/img/goods/lxqd.png'),id:'利息清单凭证联'},
    '利息清单回单': {name:'利息清单回单',src:require('@/assets/img/goods/lxqd.png'),id:'利息清单回单'},
    231: {name:'盖过章的复印件',src:require('@/assets/img/idCard-copy-sm.png'),id:231},
    191: {name:'旧定期存单',src:require('@/assets/img/seal/paid.png'),id:191},
    192: {name:'新定期存单',src:require('@/assets/img/seal/paid.png'),id:192},
    193: {name:'新定期存单凭证联',src:require('@/assets/img/seal/paid.png'),id:193},
    194: {name:'新定期存单回单',src:require('@/assets/img/seal/paid.png'),id:194},

    // 业务 10 以后的
    '法人身份证': {name:'法人身份证',src:require('@/assets/img/goods/idcard.png'),id:'法人身份证'},
    '法人身份证复印件': {name:'法人身份证复印件',src:require('@/assets/img/idCard-copy-sm.png'),id:'法人身份证复印件'},
    '开立银行接算账户申请书': {name:'开立银行接算账户申请书',src:require('@/assets/img/goods/khsqs.png'),id:'开立银行接算账户申请书'},
    '统一社会信用代码证': {name:'统一社会信用代码证',src:require('@/assets/img/goods/ywsfpz.png'),id:'统一社会信用代码证'},
    '统一社会信用代码证复印件': {name:'统一社会信用代码证复印件',src:require('@/assets/img/goods/ywsfpz.png'),id:'统一社会信用代码证复印件'},
    '开户许可证': {name:'开户许可证',src:require('@/assets/img/goods/lxqd.png'),id:'开户许可证'},
    '开户许可证复印件': {name:'开户许可证复印件',src:require('@/assets/img/goods/lxqd.png'),id:'开户许可证复印件'},
    '开立银行接算账户申请书凭证联': {name:'开立银行接算账户申请书凭证联',src:require('@/assets/img/goods/khsqs.png'),id:'开立银行接算账户申请书凭证联'},
    '开立银行接算账户申请书回单': {name:'开立银行接算账户申请书回单',src:require('@/assets/img/goods/khsqs.png'),id:'开立银行接算账户申请书回单'},
    '现金存款凭证': {name:'现金存款凭证',src:require('@/assets/img/goods/khsqs.png'),id:'现金存款凭证'},
    '现金存款凭证联': {name:'现金存款凭证联',src:require('@/assets/img/goods/khsqs.png'),id:'现金存款凭证联'},
    '现金存款凭证回单': {name:'现金存款凭证回单',src:require('@/assets/img/goods/khsqs.png'),id:'现金存款凭证回单'},
    '现金支票本联': {name:'现金支票本联',src:require('@/assets/img/goods/khsqs.png'),id:'现金支票本联'},
    '现金支票存根': {name:'现金支票存根',src:require('@/assets/img/goods/khsqs.png'),id:'现金支票存根'},
    '转账支票本联': {name:'转账支票本联',src:require('@/assets/img/goods/khsqs.png'),id:'转账支票本联'},
    '转账支票存根': {name:'转账支票存根',src:require('@/assets/img/goods/khsqs.png'),id:'转账支票存根'},
    '特殊业务申请书': {name:'特殊业务申请书',src:require('@/assets/img/goods/khsqs.png'),id:'特殊业务申请书'},
    '特殊业务申请书凭证联': {name:'特殊业务申请书凭证联',src:require('@/assets/img/goods/khsqs.png'),id:'特殊业务申请书凭证联'},
    '特殊业务申请书回单': {name:'特殊业务申请书回单',src:require('@/assets/img/goods/khsqs.png'),id:'特殊业务申请书回单'},
    '密码挂失申请书': {name:'密码挂失申请书',src:require('@/assets/img/goods/khsqs.png'),id:'密码挂失申请书'},
    '密码挂失申请书凭证联': {name:'密码挂失申请书凭证联',src:require('@/assets/img/goods/khsqs.png'),id:'密码挂失申请书凭证联'},
    '密码挂失申请书回单': {name:'密码挂失申请书回单',src:require('@/assets/img/goods/khsqs.png'),id:'密码挂失申请书回单'},
    '密码挂失申请书银行留存联': {name:'密码挂失申请书银行留存联',src:require('@/assets/img/goods/khsqs.png'),id:'密码挂失申请书银行留存联'},
    '支票领购单': {name:'支票领购单',src:require('@/assets/img/goods/khsqs.png'),id:'支票领购单'},
    '支票领购单回单': {name:'支票领购单回单',src:require('@/assets/img/goods/khsqs.png'),id:'支票领购单回单'},
    '支票领购单凭证联': {name:'支票领购单凭证联',src:require('@/assets/img/goods/khsqs.png'),id:'支票领购单凭证联'},
    '业务收费凭证回单': {name:'业务收费凭证回单',src:require('@/assets/img/goods/khsqs.png'),id:'业务收费凭证回单'},
    '业务收费凭证凭证联': {name:'业务收费凭证凭证联',src:require('@/assets/img/goods/khsqs.png'),id:'业务收费凭证凭证联'},
}

const myInitState = {
    '': {
        data: [],
        needs: []
    },
    '项目一': {
        data: [15, 13, 23, 14],
        needs: [16, 17],
        isStamp: {
            '业务专用章': [14],
            '附件章': [23],
            '收讫章': [ 17 ]
        },
        backPeople: [142, 13, 172, 16],
        cultureArr: [23, 141, 171],
        // 各种物品信息
        moneyBox: [], // 钱箱
        peopleSign: [], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [ 16 ], // 重要空白凭证箱
        commonArr: [ 17 ], // 普通凭证箱
        
    },
    '项目二': {
        data: [16, 13, 23, '转账凭条'],
        needs: ['利息清单', '取款凭条', 15],
        isStamp: {
            '付讫章': ['取款凭条', '利息清单'],
            '转讫章': ['转账凭条'],
            '附件章': [23]
        },
        backPeople: [23, '转账凭条回单', '取款凭条回单', '利息清单回单', 15],
        cultureArr: [13, '取款凭条凭证联', '转账凭条凭证联', '利息清单回单'], // 入库
        // 各种物品信息
        moneyBox: [15], // 钱箱
        peopleSign: [], // 客户签字
        cultureIn: [], // 传票栏传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [ '取款凭条', '利息清单' ], // 普通凭证箱
    },
    '项目三': {
        data: [15, 13, 23, 14], // 现金、身份证原件、复印件、开户申请书
        needs: [19],
        isStamp: {
            '业务专用章': [14]
        },
        backPeople: [142, 13 ],
        cultureArr: [141, 23], // 入库
        // 各种物品信息
        moneyBox: [], // 钱箱
        peopleSign: [], // 客户签字
        cultureIn: [], // 传票栏传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [ 19 ], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱
    },
    '项目四': {
        data: [13, 23, 191], // 身份证原件、复印件、 旧定期存单
        needs: [192, '取款凭条', 17, 15 ], // 新定期存单 取款凭条 存款凭条 现金
        isStamp: {
            '业务专用章': [192],
            '付讫章': [ '取款凭条', '利息清单' ],
            '收讫章': [ 17 ],
            '销户章': [ 191 ],
            '附件章': [ 23 ],
            // 取款凭条（付讫章）、利息清单（付讫章）、存款凭条（收讫章）、旧定期存单（销户章）、新定期存单（业务专用章）、身份证复印件（附件章）
        },
        backPeople: [ 13, 192, 15, '取款凭条回单', 172, '利息清单回单' ], // 
        cultureArr: [ 23, 191, '取款凭条凭证联', 171, '利息清单凭证联' ], // 
        // 各种物品信息
        moneyBox: [ 15 ], // 钱箱
        peopleSign: [], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [ 192 ], // 重要空白凭证箱
        commonArr: [ '取款凭条', 17, '利息清单' ], // 普通凭证箱
    },
    '项目五': {
        data: [13, 23, 191], // 身份证原件、复印件、 旧定期存单
        needs: [192, '取款凭条', 17, 15 ], // 新定期存单 取款凭条 存款凭条 现金
        isStamp: { 
            '付讫章': [ '取款凭条', '利息清单' ],
            '销户章': [ 191 ],
            '附件章': [ 23 ],
        },
        backPeople: [ 13, 192, 15, '取款凭条回单', 172, '利息清单回单' ], // 
        cultureArr: [ 23, 191, '取款凭条凭证联', 171, '利息清单凭证联' ], // 
        // 各种物品信息
        moneyBox: [ 15 ], // 钱箱
        peopleSign: [], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱
    },
    '项目六': {
        data: [13, 23, 14, 15], // 身份证原件、复印件、 开户申请书、 现金
        needs: [ 16, 17 ], // 银行卡 存款凭条
        isStamp: { // 还没加逻辑
            '附件章': [ 23 ],
            '业务专用章': [14],
            '收讫章': [ 17 ],
        },
        backPeople: [ 16, 172, 13, 142 ], 
        cultureArr: [ 23, 141, 171 ], 
        // 各种物品信息
        moneyBox: [ ], // 钱箱
        peopleSign: [], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱
    },
    '项目七': {
        data: [  16, 15 ], // 银行卡、 现金
        needs: [ 17 ], // 存款凭条
        isStamp: { 
            '收讫章': [ 17 ],
        },
        backPeople: [ 16, 172 ], 
        cultureArr: [ 171 ], 
        // 各种物品信息
        moneyBox: [ ], // 钱箱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱
    },
    '项目八': {
        data: [  13, 23, 16 ], // 身份证原件 复印件 银行卡
        needs: [ '取款凭条', '利息清单' ], // 存款凭条 利息清单
        isStamp: { 
            '付讫章': [ '取款凭条', '利息清单' ],
            '附件章': [ 23 ],
        },
        backPeople: [ 13, 16, '取款凭条回单', '利息清单回单', 15 ], 
        cultureArr: [ 23, '取款凭条凭证联', '利息清单凭证联' ],
        // 各种物品信息
        moneyBox: [ 15 ], // 钱箱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱
    },
    '项目九': {
        data: [ 15, 13, 23, 14 ], // 现金、身份证原件、复印件、开户申请书
        needs: [ 19, 17 ], // 定期存单 存款凭条
        isStamp: { 
            '附件章': [ 23 ],
            '业务专用章': [14, 19 ],
            '收讫章': [ 17 ]
        },
        backPeople: [ 142, 13, 19, 171 ], // 少了开户申请书回单、身份证、定期存单、存款凭条凭证联 (判分可减)
        cultureArr: [ 23, 141, 171 ], // 少了身份证复印件、开户申请书凭证联、存款凭条凭证联
        // 各种物品信息
        moneyBox: [ ], // 钱箱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱
    },
    '项目十': {
        data: [ 13, 23, 19 ], // 身份证原件、复印件、定期存单
        needs: [ '取款凭条', '利息清单', 15 ], // 多了取款凭条、利息清单 现金
        isStamp: { 
            '付讫章': [ '取款凭条', '利息清单' ],
            '附件章': [ 23 ],
            '销户章': [ 191 ],
        },
        backPeople: [ 13, '取款凭条回单', '利息清单回单', 15 ], // 少了身份证原件、取款凭条回单、利息清单回单、现金 
        cultureArr: [ 23, '取款凭条凭证联', '取款凭条凭证联', 19 ], // 少了复印件、取款凭条凭证联、利息清单凭证联、定期存单
        // 各种物品信息
        moneyBox: [ 15 ], // 钱箱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱
    },
    '项目十一': {
        data: [ '法人身份证', '法人身份证复印件', '开立银行接算账户申请书', '统一社会信用代码证', '统一社会信用代码证复印件', '开户许可证', '开户许可证复印件' ], 
        needs: [ '普通空白凭证', '预留印鉴卡' ], // 多了普通空白凭证， 预留印鉴卡
        isStamp: { 
            '业务专用章': [ '开立银行接算账户申请书', '普通空白凭证' ],
            '附件章': [ '统一社会信用代码证复印件', '开户许可证复印件', '法人身份证复印件'  ],
            '私章': [ '预留印鉴卡' ]
        },
        backPeople: [ '法人身份证', '统一社会信用代码证', '开户许可证', '预留印鉴卡', '开立银行接算账户申请书回单' ], // 少了法人身份证原件、统一社会信用代码证、开户许可证、预留印鉴卡一、开立银行结算账户申请书凭证联回单
        cultureArr: [ '法人身份证复印件', '开立银行结算账户申请书凭证联', '统一社会信用代码证复印件', '开户许可证复印件', '普通空白凭证', '预留印鉴卡' ], // 少了法人身份证复印件、开立银行结算账户申请书凭证联、统一社会信用代码证复印件、开户许可证复印件、普通空白凭证、预留印鉴卡二、三
    
        moneyBox: [ ], // 钱箱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱
    },
    '项目十二': {
        data: [ '法人身份证', '法人身份证复印件', '现金存款凭证', 15 ], // 15是现金
        needs: [ '普通空白凭证', '预留印鉴卡' ], // 多了普通空白凭证， 预留印鉴卡
        isStamp: {
            '收讫章': [ '现金存款凭证' ],
            '附件章': [ '法人身份证复印件' ],
        },
        backPeople: [ '法人身份证', '现金存款凭证回单' ],
        cultureArr: [ '法人身份证复印件', '现金存款凭证联' ],
        moneyBox: [ ], // 钱箱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱
    },
    '项目十三': {
        data: [ '法人身份证', '现金支票' ],
        needs: [ '取款凭条', 15 ],
        isStamp: {
            '付讫章': [ '取款凭条' ],
            '私章业务专用章': [ '现金支票' ]
        },
        backPeople: [ '法人身份证', '现金支票存根', '取款凭条回单', 15 ],
        cultureArr: [ '现金支票本联', '取款凭条凭证联' ],
        moneyBox: [ 15 ], // 钱箱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱
    },
    '项目十四': {
        data: [ '法人身份证', '转账支票' ],
        needs: [ '转账凭条' ],
        isStamp: {
            '私章转讫章': [ '转账支票' ],
            '业务专用章': [ '转账凭条']
        },
        backPeople: [ '法人身份证', '转账支票存根', '转账凭条回单' ],
        cultureArr: [ '转账支票本联', '转账凭条凭证联' ],
        moneyBox: [ 15 ], // 钱箱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱
    },
    '项目十五': {
        data: [ 13, 23, 16, '特殊业务申请书'  ], // 身份证原件、复印件、银行卡、特殊业务申请书
        needs: [ ],
        isStamp: {
            '附件章': [ 13 ],
            '业务专用章': [ '特殊业务申请书']
        },
        backPeople: [ 13, 16, '特殊业务申请书回单' ], // 少了身份证原件、银行卡、特殊业务申请书回单
        cultureArr: [ 23, '特殊业务申请书凭证联' ], // 少了复印件、特殊业务申请书凭证联
        moneyBox: [ ], // 钱箱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱
    },
    '项目十六': {
        data: [ 13, 23, 16, '密码挂失申请书'  ], // 身份证原件、复印件、银行卡、密码挂失申请书
        needs: [ ],
        isStamp: {
            '附件章': [ 13 ],
            '业务专用章': [ '密码挂失申请书']
        },
        backPeople: [ 13, 16, '密码挂失申请书回单' ], // 少了身份证原件、银行卡、特殊业务申请书回单
        cultureArr: [ 23, '密码挂失申请书凭证联', '密码挂失申请书银行留存联' ], // 少了复印件、密码挂失申请书凭证联、密码挂失申请书银行留存联
        moneyBox: [], // 钱箱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱
    },
    '项目十七': {
        data: [ 13, 23, 16, '密码挂失申请书回单', '密码挂失申请书银行留存联' ], // 身份证原件、复印件、银行卡、密码挂失申请书回单、密码挂失申请书银行留存联
        needs: [ ],
        isStamp: {
            '附件章': [ 13, '密码挂失申请书回单' ],
            '业务专用章': [ '密码挂失申请书银行留存联' ]
        },
        backPeople: [ 13, 16, '密码挂失申请书回单' ], // 
        cultureArr: [ 23, '密码挂失申请书银行留存联' ], // 
        moneyBox: [ ], // 钱箱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱
    },
    
    '项目十八': {
        data: [ 13, 23, 15, '支票领购单' ], // 身份证原件、复印件、现金、支票领购单
        needs: [ '现金支票', '业务收费凭证' ],
        isStamp: {
            '附件章': [ 23 ],
            '业务专用章': [ '支票领购单', '业务收费凭证' ]
        },
        backPeople: [ 13, '支票领购单回单', '现金支票', '业务收费凭证回单' ], // 少了身份证原件、支票领购单回单、现金支票、业务收费凭证回单
        cultureArr: [ 23, '支票领购单凭证联', '支票领购单凭证联' ], // 少了复印件、支票领购单凭证联、业务收费凭证凭证联、

        moneyBox: [ ], // 钱箱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱
    },
    '项目十九': {
        data: [ ], //
        needs: [ '普通空白凭证' ],
        isStamp: {
            '业务专用章': [ '普通空白凭证' ]
        },
        backPeople: [ ],
        cultureArr: [ '普通空白凭证' ],

        moneyBox: [ ], // 钱箱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱
    },
    '项目二十': {
        data: [ ], //
        needs: [ '普通空白凭证' ],
        isStamp: {
            '业务专用章': [ '普通空白凭证' ]
        },
        backPeople: [ ],
        cultureArr: [ '普通空白凭证' ],

        moneyBox: [ ], // 钱箱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱
    },
    '项目二十一': {
        data: [ ], //
        needs: [ '普通空白凭证' ],
        isStamp: {
            '业务专用章': [ '普通空白凭证' ]
        },
        backPeople: [ ],
        cultureArr: [ '普通空白凭证' ],

        moneyBox: [ ], // 钱箱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱
    },
    '项目二十二': {
        data: [ ], //
        needs: [ '普通空白凭证' ],
        isStamp: {
            '业务专用章': [ '普通空白凭证' ]
        },
        backPeople: [ ],
        cultureArr: [ '普通空白凭证' ],

        moneyBox: [ ], // 钱箱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱
    },
    '项目二十三': {
        data: [ ], //
        needs: [ '普通空白凭证' ],
        isStamp: {
            '业务专用章': [ '普通空白凭证' ]
        },
        backPeople: [ ],
        cultureArr: [ '普通空白凭证' ],

        moneyBox: [ ], // 钱箱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱
    },
    '项目二十四': {
        data: [ ], //
        needs: [ '普通空白凭证' ],
        isStamp: {
            '业务专用章': [ '普通空白凭证' ]
        },
        backPeople: [ ],
        cultureArr: [ '普通空白凭证' ],

        moneyBox: [ ], // 钱箱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱
    },
    '项目二十五': {
        data: [ ], //
        needs: [ '普通空白凭证' ],
        isStamp: {
            '业务专用章': [ '普通空白凭证' ]
        },
        backPeople: [ ],
        cultureArr: [ '普通空白凭证' ],

        moneyBox: [ ], // 钱箱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱
    },
    '项目二十六': {
        data: [ ], //
        needs: [ '普通空白凭证' ],
        isStamp: {
            '业务专用章': [ '普通空白凭证' ]
        },
        backPeople: [ ],
        cultureArr: [ '普通空白凭证' ],

        moneyBox: [ ], // 钱箱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱
    },
    '项目二十七': {
        data: [ ], //
        needs: [ '普通空白凭证' ],
        isStamp: {
            '业务专用章': [ '普通空白凭证' ]
        },
        backPeople: [ ],
        cultureArr: [ '普通空白凭证' ],

        moneyBox: [ ], // 钱箱
        peopleSign: [ ], // 客户签字
        cultureIn: [], // 传票栏
        sealBox: [], // 印章盒
        currencyDetector: [], // 验钞机
        printer: [], // 打印机
        resource: [], // 资料

        importanceArr: [], // 重要空白凭证箱
        commonArr: [], // 普通凭证箱
    },
}

const sealArray = [/* 印章盒物品默认排序 */
    '收讫章', '销户章','私章','附件章','付讫章','业务专用章', '转讫章'
]

import { Message } from 'element-ui';

export default {
    namespaced: true,
    state: {/* 管理柜台状态 */
        showPop: false,// 弹框
        popText:'',
        fullScreen:false,// 银行系统是否全屏
        showGoods: false, // 物品栏的展开和关闭
        // 业务选择表: 
        businessKey: '',
        // 业务选择表是否展示: 
        showBusiness: false,

        businessSelect: {
            '': {
                data: [],
                needs: []
            },
            '项目一': {
                data: [15, 13, 23, 14],
                needs: [16, 17],
                isStamp: {
                    '业务专用章': [14],
                    '附件章': [23],
                    '收讫章': [ 17 ]
                },
                backPeople: [142, 13, 172, 16],
                cultureArr: [23, 141, 171],
                // 各种物品信息
                moneyBox: [], // 钱箱
                peopleSign: [], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [ 16 ], // 重要空白凭证箱
                commonArr: [ 17 ], // 普通凭证箱
                
            },
            '项目二': {
                data: [16, 13, 23, '转账凭条'],
                needs: ['利息清单', '取款凭条', 15],
                isStamp: {
                    '付讫章': ['取款凭条', '利息清单'],
                    '转讫章': ['转账凭条'],
                    '附件章': [23]
                },
                backPeople: [23, '转账凭条回单', '取款凭条回单', '利息清单回单', 15],
                cultureArr: [13, '取款凭条凭证联', '转账凭条凭证联', '利息清单回单'], // 入库
                // 各种物品信息
                moneyBox: [15], // 钱箱
                peopleSign: [], // 客户签字
                cultureIn: [], // 传票栏传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [ '取款凭条', '利息清单' ], // 普通凭证箱
            },
            '项目三': {
                data: [15, 13, 23, 14], // 现金、身份证原件、复印件、开户申请书
                needs: [19],
                isStamp: {
                    '业务专用章': [14]
                },
                backPeople: [142, 13 ],
                cultureArr: [141, 23], // 入库
                // 各种物品信息
                moneyBox: [], // 钱箱
                peopleSign: [], // 客户签字
                cultureIn: [], // 传票栏传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [ 19 ], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱
            },
            '项目四': {
                data: [13, 23, 191], // 身份证原件、复印件、 旧定期存单
                needs: [192, '取款凭条', 17, 15 ], // 新定期存单 取款凭条 存款凭条 现金
                isStamp: {
                    '业务专用章': [192],
                    '付讫章': [ '取款凭条', '利息清单' ],
                    '收讫章': [ 17 ],
                    '销户章': [ 191 ],
                    '附件章': [ 23 ],
                    // 取款凭条（付讫章）、利息清单（付讫章）、存款凭条（收讫章）、旧定期存单（销户章）、新定期存单（业务专用章）、身份证复印件（附件章）
                },
                backPeople: [ 13, 192, 15, '取款凭条回单', 172, '利息清单回单' ], // 
                cultureArr: [ 23, 191, '取款凭条凭证联', 171, '利息清单凭证联' ], // 
                // 各种物品信息
                moneyBox: [ 15 ], // 钱箱
                peopleSign: [], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [ 192 ], // 重要空白凭证箱
                commonArr: [ '取款凭条', 17, '利息清单' ], // 普通凭证箱
            },
            '项目五': {
                data: [13, 23, 191], // 身份证原件、复印件、 旧定期存单
                needs: [192, '取款凭条', 17, 15 ], // 新定期存单 取款凭条 存款凭条 现金
                isStamp: { 
                    '付讫章': [ '取款凭条', '利息清单' ],
                    '销户章': [ 191 ],
                    '附件章': [ 23 ],
                },
                backPeople: [ 13, 192, 15, '取款凭条回单', 172, '利息清单回单' ], // 
                cultureArr: [ 23, 191, '取款凭条凭证联', 171, '利息清单凭证联' ], // 
                // 各种物品信息
                moneyBox: [ 15 ], // 钱箱
                peopleSign: [], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱
            },
            '项目六': {
                data: [13, 23, 14, 15], // 身份证原件、复印件、 开户申请书、 现金
                needs: [ 16, 17 ], // 银行卡 存款凭条
                isStamp: { // 还没加逻辑
                    '附件章': [ 23 ],
                    '业务专用章': [14],
                    '收讫章': [ 17 ],
                },
                backPeople: [ 16, 172, 13, 142 ], 
                cultureArr: [ 23, 141, 171 ], 
                // 各种物品信息
                moneyBox: [ ], // 钱箱
                peopleSign: [], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱
            },
            '项目七': {
                data: [  16, 15 ], // 银行卡、 现金
                needs: [ 17 ], // 存款凭条
                isStamp: { 
                    '收讫章': [ 17 ],
                },
                backPeople: [ 16, 172 ], 
                cultureArr: [ 171 ], 
                // 各种物品信息
                moneyBox: [ ], // 钱箱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱
            },
            '项目八': {
                data: [  13, 23, 16 ], // 身份证原件 复印件 银行卡
                needs: [ '取款凭条', '利息清单' ], // 存款凭条 利息清单
                isStamp: { 
                    '付讫章': [ '取款凭条', '利息清单' ],
                    '附件章': [ 23 ],
                },
                backPeople: [ 13, 16, '取款凭条回单', '利息清单回单', 15 ], 
                cultureArr: [ 23, '取款凭条凭证联', '利息清单凭证联' ],
                // 各种物品信息
                moneyBox: [ 15 ], // 钱箱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱
            },
            '项目九': {
                data: [ 15, 13, 23, 14 ], // 现金、身份证原件、复印件、开户申请书
                needs: [ 19, 17 ], // 定期存单 存款凭条
                isStamp: { 
                    '附件章': [ 23 ],
                    '业务专用章': [14, 19 ],
                    '收讫章': [ 17 ]
                },
                backPeople: [ 142, 13, 19, 171 ], // 少了开户申请书回单、身份证、定期存单、存款凭条凭证联 (判分可减)
                cultureArr: [ 23, 141, 171 ], // 少了身份证复印件、开户申请书凭证联、存款凭条凭证联
                // 各种物品信息
                moneyBox: [ ], // 钱箱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱
            },
            '项目十': {
                data: [ 13, 23, 19 ], // 身份证原件、复印件、定期存单
                needs: [ '取款凭条', '利息清单', 15 ], // 多了取款凭条、利息清单 现金
                isStamp: { 
                    '付讫章': [ '取款凭条', '利息清单' ],
                    '附件章': [ 23 ],
                    '销户章': [ 191 ],
                },
                backPeople: [ 13, '取款凭条回单', '利息清单回单', 15 ], // 少了身份证原件、取款凭条回单、利息清单回单、现金 
                cultureArr: [ 23, '取款凭条凭证联', '取款凭条凭证联', 19 ], // 少了复印件、取款凭条凭证联、利息清单凭证联、定期存单
                // 各种物品信息
                moneyBox: [ 15 ], // 钱箱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱
            },
            '项目十一': {
                data: [ '法人身份证', '法人身份证复印件', '开立银行接算账户申请书', '统一社会信用代码证', '统一社会信用代码证复印件', '开户许可证', '开户许可证复印件' ], 
                needs: [ '普通空白凭证', '预留印鉴卡' ], // 多了普通空白凭证， 预留印鉴卡
                isStamp: { 
                    '业务专用章': [ '开立银行接算账户申请书', '普通空白凭证' ],
                    '附件章': [ '统一社会信用代码证复印件', '开户许可证复印件', '法人身份证复印件'  ],
                    '私章': [ '预留印鉴卡' ]
                },
                backPeople: [ '法人身份证', '统一社会信用代码证', '开户许可证', '预留印鉴卡', '开立银行接算账户申请书回单' ], // 少了法人身份证原件、统一社会信用代码证、开户许可证、预留印鉴卡一、开立银行结算账户申请书凭证联回单
                cultureArr: [ '法人身份证复印件', '开立银行结算账户申请书凭证联', '统一社会信用代码证复印件', '开户许可证复印件', '普通空白凭证', '预留印鉴卡' ], // 少了法人身份证复印件、开立银行结算账户申请书凭证联、统一社会信用代码证复印件、开户许可证复印件、普通空白凭证、预留印鉴卡二、三
            
                moneyBox: [ ], // 钱箱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱
            },
            '项目十二': {
                data: [ '法人身份证', '法人身份证复印件', '现金存款凭证', 15 ], // 15是现金
                needs: [ '普通空白凭证', '预留印鉴卡' ], // 多了普通空白凭证， 预留印鉴卡
                isStamp: {
                    '收讫章': [ '现金存款凭证' ],
                    '附件章': [ '法人身份证复印件' ],
                },
                backPeople: [ '法人身份证', '现金存款凭证回单' ],
                cultureArr: [ '法人身份证复印件', '现金存款凭证联' ],
                moneyBox: [ ], // 钱箱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱
            },
            '项目十三': {
                data: [ '法人身份证', '现金支票' ],
                needs: [ '取款凭条', 15 ],
                isStamp: {
                    '付讫章': [ '取款凭条' ],
                    '私章业务专用章': [ '现金支票' ]
                },
                backPeople: [ '法人身份证', '现金支票存根', '取款凭条回单', 15 ],
                cultureArr: [ '现金支票本联', '取款凭条凭证联' ],
                moneyBox: [ 15 ], // 钱箱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱
            },
            '项目十四': {
                data: [ '法人身份证', '转账支票' ],
                needs: [ '转账凭条' ],
                isStamp: {
                    '私章转讫章': [ '转账支票' ],
                    '业务专用章': [ '转账凭条']
                },
                backPeople: [ '法人身份证', '转账支票存根', '转账凭条回单' ],
                cultureArr: [ '转账支票本联', '转账凭条凭证联' ],
                moneyBox: [ 15 ], // 钱箱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱
            },
            '项目十五': {
                data: [ 13, 23, 16, '特殊业务申请书'  ], // 身份证原件、复印件、银行卡、特殊业务申请书
                needs: [ ],
                isStamp: {
                    '附件章': [ 13 ],
                    '业务专用章': [ '特殊业务申请书']
                },
                backPeople: [ 13, 16, '特殊业务申请书回单' ], // 少了身份证原件、银行卡、特殊业务申请书回单
                cultureArr: [ 23, '特殊业务申请书凭证联' ], // 少了复印件、特殊业务申请书凭证联
                moneyBox: [ ], // 钱箱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱
            },
            '项目十六': {
                data: [ 13, 23, 16, '密码挂失申请书'  ], // 身份证原件、复印件、银行卡、密码挂失申请书
                needs: [ ],
                isStamp: {
                    '附件章': [ 13 ],
                    '业务专用章': [ '密码挂失申请书']
                },
                backPeople: [ 13, 16, '密码挂失申请书回单' ], // 少了身份证原件、银行卡、特殊业务申请书回单
                cultureArr: [ 23, '密码挂失申请书凭证联', '密码挂失申请书银行留存联' ], // 少了复印件、密码挂失申请书凭证联、密码挂失申请书银行留存联
                moneyBox: [], // 钱箱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱
            },
            '项目十七': {
                data: [ 13, 23, 16, '密码挂失申请书回单', '密码挂失申请书银行留存联' ], // 身份证原件、复印件、银行卡、密码挂失申请书回单、密码挂失申请书银行留存联
                needs: [ ],
                isStamp: {
                    '附件章': [ 13, '密码挂失申请书回单' ],
                    '业务专用章': [ '密码挂失申请书银行留存联' ]
                },
                backPeople: [ 13, 16, '密码挂失申请书回单' ], // 
                cultureArr: [ 23, '密码挂失申请书银行留存联' ], // 
                moneyBox: [ ], // 钱箱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱
            },
            
            '项目十八': {
                data: [ 13, 23, 15, '支票领购单' ], // 身份证原件、复印件、现金、支票领购单
                needs: [ '现金支票', '业务收费凭证' ],
                isStamp: {
                    '附件章': [ 23 ],
                    '业务专用章': [ '支票领购单', '业务收费凭证' ]
                },
                backPeople: [ 13, '支票领购单回单', '现金支票', '业务收费凭证回单' ], // 少了身份证原件、支票领购单回单、现金支票、业务收费凭证回单
                cultureArr: [ 23, '支票领购单凭证联', '支票领购单凭证联' ], // 少了复印件、支票领购单凭证联、业务收费凭证凭证联、

                moneyBox: [ ], // 钱箱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱
            },
            '项目十九': {
                data: [ ], //
                needs: [ '普通空白凭证' ],
                isStamp: {
                    '业务专用章': [ '普通空白凭证' ]
                },
                backPeople: [ ],
                cultureArr: [ '普通空白凭证' ],

                moneyBox: [ ], // 钱箱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱
            },
            '项目二十': {
                data: [ ], //
                needs: [ '普通空白凭证' ],
                isStamp: {
                    '业务专用章': [ '普通空白凭证' ]
                },
                backPeople: [ ],
                cultureArr: [ '普通空白凭证' ],

                moneyBox: [ ], // 钱箱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱
            },
            '项目二十一': {
                data: [ ], //
                needs: [ '普通空白凭证' ],
                isStamp: {
                    '业务专用章': [ '普通空白凭证' ]
                },
                backPeople: [ ],
                cultureArr: [ '普通空白凭证' ],

                moneyBox: [ ], // 钱箱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱
            },
            '项目二十二': {
                data: [ ], //
                needs: [ '普通空白凭证' ],
                isStamp: {
                    '业务专用章': [ '普通空白凭证' ]
                },
                backPeople: [ ],
                cultureArr: [ '普通空白凭证' ],

                moneyBox: [ ], // 钱箱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱
            },
            '项目二十三': {
                data: [ ], //
                needs: [ '普通空白凭证' ],
                isStamp: {
                    '业务专用章': [ '普通空白凭证' ]
                },
                backPeople: [ ],
                cultureArr: [ '普通空白凭证' ],

                moneyBox: [ ], // 钱箱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱
            },
            '项目二十四': {
                data: [ ], //
                needs: [ '普通空白凭证' ],
                isStamp: {
                    '业务专用章': [ '普通空白凭证' ]
                },
                backPeople: [ ],
                cultureArr: [ '普通空白凭证' ],

                moneyBox: [ ], // 钱箱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱
            },
            '项目二十五': {
                data: [ ], //
                needs: [ '普通空白凭证' ],
                isStamp: {
                    '业务专用章': [ '普通空白凭证' ]
                },
                backPeople: [ ],
                cultureArr: [ '普通空白凭证' ],

                moneyBox: [ ], // 钱箱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱
            },
            '项目二十六': {
                data: [ ], //
                needs: [ '普通空白凭证' ],
                isStamp: {
                    '业务专用章': [ '普通空白凭证' ]
                },
                backPeople: [ ],
                cultureArr: [ '普通空白凭证' ],

                moneyBox: [ ], // 钱箱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱
            },
            '项目二十七': {
                data: [ ], //
                needs: [ '普通空白凭证' ],
                isStamp: {
                    '业务专用章': [ '普通空白凭证' ]
                },
                backPeople: [ ],
                cultureArr: [ '普通空白凭证' ],

                moneyBox: [ ], // 钱箱
                peopleSign: [ ], // 客户签字
                cultureIn: [], // 传票栏
                sealBox: [], // 印章盒
                currencyDetector: [], // 验钞机
                printer: [], // 打印机
                resource: [], // 资料

                importanceArr: [], // 重要空白凭证箱
                commonArr: [], // 普通凭证箱
            },
        },
        goods:[// 物品栏的物品
            {
                name:'身份证',
                src:require('@/assets/img/goods/idcard.png'),
                id:'a'
            },
            {
                name:'身份证复印件',
                src:require('@/assets/img/idCard-copy-sm.png'),
                id:'b'
            },
            {
                name:'开户申请书',
                src:require('@/assets/img/goods/khsqs.png'),
                id:'c'
            },
            {
                name:'现金',
                src:require('@/assets/img/goods/cash-sm.png'),
                id:'d'
            },
            // {
            //     name:'存款凭条',
            //     src:require('@/assets/img/goods/ckpt.png'),
            //     id:'e'
            // },
        ],
        goodsOpen:[// 物品栏的物品
            {name:'身份证', src:require('@/assets/img/goods/idcard.png'), id:13},
            {name:'身份证复印件',src:require('@/assets/img/idCard-copy-sm.png'),id:23},
            {name:'银行卡',src:require('@/assets/img/goods/bankCard.png'),id:16},
            {name:'转账凭条',src:require('@/assets/img/goods/zzpt.png'),id:'转账凭条'},
        ],
    },
    mutations: {
        initState(state) {
            state.businessSelect = { ...myInitState }
        },
        setShowBusiness(state, isShow) {
            state.showBusiness = isShow
        },
        pushThings(state, { name, idArr}) {
            if(name === 'sealBox') { // 印章盒只能放一个东西
                const sealBox = state.businessSelect[state.businessKey][name]
                if(sealBox.length === 1) {
                    this.commit('system/pushThingsGoods', [...sealBox])
                    state.businessSelect[state.businessKey][name].splice(0, 1, idArr)
                }else {
                    state.businessSelect[state.businessKey][name].push(idArr)
                }
            }else {
                if(!(idArr instanceof Array)) {
                    state.businessSelect[state.businessKey][name].push(idArr)
                }else {
                    state.businessSelect[state.businessKey][name].push(...idArr)
                }
            }
            
        },
        pushThingsGoods(state, idArr) {
            for(let i=0; i<idArr.length; i++) {
                const index = state.businessSelect[state.businessKey].data.findIndex(item => item === idArr[i])
                console.log(index)
                if(index === -1) {
                    state.businessSelect[state.businessKey].data.push(idArr[i])
                }
            }
        },
        outThings(state, { name, idArr}) {
            if(!(idArr instanceof Array)) {
                const index = state.businessSelect[state.businessKey][name].findIndex(item => item.id === idArr)
                state.businessSelect[state.businessKey][name].splice(index, 1)
            }else {
                for(let i=0; i<idArr.length; i++) {
                    const index = state.businessSelect[state.businessKey][name].findIndex(item => item.id === idArr[i])
                    state.businessSelect[state.businessKey][name].splice(index, 1)
                }
            }
        },
        outThings2(state, { name, index}) {
            // 神奇地解决了bug
            state.businessSelect[state.businessKey][name].splice(index, 1)
        },
        outThingsGoods(state, idArr) {
            for(let i=0; i<idArr.length; i++) {
                const index = state.businessSelect[state.businessKey].data.findIndex(item => item === idArr[i])
                if(index !== -1) {
                    state.businessSelect[state.businessKey].data.splice(index, 1)
                }
            }
        },

        backCulture(state, idArr) {
            for(let i=0; i<idArr.length; i++) {
                const index = state.businessSelect[state.businessKey].cultureArr.findIndex(item => item === idArr[i])
                if(index !== -1) {
                    // const index2 = state.businessSelect[state.businessKey].data.findIndex(item => item === idArr[i])
                    state.businessSelect[state.businessKey].cultureArr.splice(index, 1) // 我需要传票的少了相应的那个
                    // state.businessSelect[state.businessKey].data.splice(index2, 1)
                }
                this.commit('system/outThingsGoods', [...idArr])
            }
        },
        backPeople(state, idArr) {
            for(let i=0; i<idArr.length; i++) {
                const index = state.businessSelect[state.businessKey].backPeople.findIndex(item => item === idArr[i])
                if(index !== -1) {
                    state.businessSelect[state.businessKey].backPeople.splice(index, 1)
                    // const index2 = state.businessSelect[state.businessKey].data.findIndex(item => item === idArr[i])
                    // state.businessSelect[state.businessKey].data.splice(index2, 1)
                }
            }
            this.commit('system/outThingsGoods', [...idArr])
        },
        payMoney(state) {
            const index = state.businessSelect[state.businessKey].data.findIndex(item => item === 15)
            if(index !== -1) {
                state.businessSelect[state.businessKey].data.splice(index, 1)
            }
        },
        stampJudge(state, sealArr) {
            const needStamp = state.businessSelect[state.businessKey].isStamp
            const id = state.businessSelect[state.businessKey].sealBox[0]
            let judgeDelete = true
            if(sealArr.length === 1) {
                const seal = sealArr[0]
                if((seal in needStamp) && (needStamp[seal].findIndex(item => item === id) >= 0)) {
                    if(seal === '业务专用章') {
                        if(id === 14) {
                            state.businessSelect[state.businessKey].data.push(141, 142)
                            judgeDelete = false
                        }else if(id === 192) {
                            console.log('加分 没变成什么')
                        }else if(id === 19) {
                            console.log('加分 没变成什么')
                        }else if(id === '开立银行接算账户申请书') {
                            state.businessSelect[state.businessKey].data.push('开立银行接算账户申请书凭证联', '开立银行接算账户申请书回单')
                            judgeDelete = false
                        }else if (id === '普通空白凭证') {
                            console.log('加分 没变成什么')
                        }else if(id === '转账凭条') {
                            state.businessSelect[state.businessKey].data.push('转账凭条凭证联', '转账凭条回单')
                            judgeDelete = false
                        }else if(id === '特殊业务申请书') {
                            state.businessSelect[state.businessKey].data.push('特殊业务申请书凭证联', '特殊业务申请书回单')
                            judgeDelete = false
                        }else if(id === '密码挂失申请书') {
                            state.businessSelect[state.businessKey].data.push('密码挂失申请书凭证联', '密码挂失申请书回单', '密码挂失申请书银行留存联')
                            judgeDelete = false
                        }else if(id === '密码挂失申请书银行留存联') {
                            console.log('加分 没变成什么')
                        }else if(id === '支票领购单') {
                            state.businessSelect[state.businessKey].data.push('支票领购单凭证联', '支票领购单回单')
                            judgeDelete = false
                        }else if(id === '业务收费凭证') {
                            state.businessSelect[state.businessKey].data.push('业务收费凭证凭证联', '业务收费凭证回单')
                            judgeDelete = false
                        }
                        // [ '支票领购单', '业务收费凭证' ]
                    }else if(seal === '付讫章') {
                        if(id === '取款凭条') {
                            state.businessSelect[state.businessKey].data.push('取款凭条凭证联', '取款凭条回单')
                            judgeDelete = false
                        }
                        else if(id === '利息清单') {
                            state.businessSelect[state.businessKey].data.push('利息清单凭证联', '利息清单回单')
                            judgeDelete = false
                        }
                    }else if(seal === '转讫章') {
                        if(id === '转账凭条') {
                            state.businessSelect[state.businessKey].data.push('转账凭条凭证联', '转账凭条回单')
                            judgeDelete = false
                        }
                    }else if(seal === '附件章') {
                        if(id === 23) {
                            console.log('加分 没变成什么')
                            // state.businessSelect[state.businessKey].data.push(231)
                            // judgeDelete = false
                        }else if(id === '统一社会信用代码证复印件') {
                            console.log('加分 没变成什么')
                        }else if(id === '开户许可证复印件') {
                            console.log('加分 没变成什么')
                        }else if(id === '法人身份证复印件') {
                            console.log('加分 没变成什么')
                        }else if(id === '密码挂失申请书回单') {
                            console.log('加分 没变成什么')
                        }
                        // '统一社会信用代码证复印件', '开户许可证复印件', '法人身份证复印件'
                    }else if(seal === '收讫章') {
                        if(id === 17) {
                            state.businessSelect[state.businessKey].data.push(171, 172)
                            judgeDelete = false
                        }else if(id === '现金存款凭证') {
                            state.businessSelect[state.businessKey].data.push('现金存款凭证联', '现金存款凭证回单')
                            judgeDelete = false
                        }
                    }else if(seal === '销户章') {
                        if(id === 191) {
                            console.log('加分了 没变成什么')
                        }
                    }else if(seal === '私章') {
                        if(id === '预留印鉴卡') {
                            console.log('加分 没变成什么')
                        }
                    }
                }
            }else if(sealArr.length === 2) {
                // sealArray 按顺序命名
                const index1 = sealArray.findIndex(item => item === sealArr[0])
                const index2 = sealArray.findIndex(item => item === sealArr[1])
                let seal = ''
                if(index1<index2) {
                    seal = sealArr[0] + sealArr[1]
                }else {
                    seal = sealArr[1] + sealArr[0]
                }
                if(((seal in needStamp) && (needStamp[seal].findIndex(item => item === id) >= 0))) {
                    if(seal === '私章业务专用章') {
                        if(id === '现金支票') {
                            state.businessSelect[state.businessKey].data.push('现金支票本联', '现金支票存根')
                            judgeDelete = false
                        }
                    }else if(seal === '私章转讫章') {
                        if(id === '转账支票') {
                            state.businessSelect[state.businessKey].data.push('转账支票本联', '转账支票存根')
                            judgeDelete = false
                        }
                    }
                }
            }
            if(judgeDelete) {
                this.commit('system/pushThingsGoods', [...state.businessSelect[state.businessKey].sealBox])
            }
            state.businessSelect[state.businessKey].sealBox.splice(0, 1)
        },
        setBusinessKey: (state, val) => {
            // 这个是容错的 后面可以删掉
            if(!state.businessSelect[val]) {
                state.businessKey = '项目一'
                return
            }
            state.businessKey = val
        },
        addGoods: (state, goods) => {
            if(!(goods instanceof Array)) {
                goods = [ goods ]
            }
            const needArr = [...state.businessSelect[state.businessKey].needs]
            for(let i=0; i<goods.length; i++) {
                // for(let j=0; j<needArr.length; j++) {
                //     // if(goods[i] === needArr[j]) {
                //     //     console.log(goods[i] + '- -' + needArr[j])
                //     //     // 如果这个物品是这个项目需要添加的 就加进去 否则不添加
                //     //     state.businessSelect[state.businessKey].data.push(needArr[j])
                //     //     // 加进去了 下次就添加不了了
                //     //     state.businessSelect[state.businessKey].needs.splice(j,1)
                //     //     break;
                //     // }else {
                //     //     console.log('???')
                //     // }
                // }
                const index = state.businessSelect[state.businessKey].data.findIndex(item => item === goods[i])
                if(index !== -1) {
                    state.businessSelect[state.businessKey].data.push(needArr[j])
                }
            }
        },
        deleteGoods: (state, index) => {
            // 传个物品对象过来
            state.businessSelect[state.businessKey].data.splice(index, 1)
        },
        changeFullscreen:(state,val) => {
            state.fullScreen = val
        },
        changePop:(state,val)=>{
            state.showPop = val.show
            state.popText = val.text
            state.id = val.id
            if(!val.text.includes('密码') && val.show) {
                state.showGoods = true;
            }
        },
        changeGoods:(state,obj)=>{/* 赋值/push/删除 */
            if(obj.goods&&obj.goods.length>0){
                state.goods = obj.goods
            }else if(obj.push&&obj.push.length>0){
                for(let j=0; j<obj.push.length; j++) {
                    let judge = true
                    for(let i=0; i<state.goods.length; i++) {
                        if(obj.push[j].name === state.goods[i].name) {
                            judge = false
                            break;
                        }
                    }
                    if(judge) {
                        state.goods.push(obj.push[j])
                    }
                }
            }else if(typeof(obj.splice)===Number ){
                state.goods.splice(obj.splice,1)
            }
        },
        // 物品栏的展开和关闭
        changeShowGoods(state, judge) {
            state.showGoods = judge
        },
        addGoodsOpen(state, arr) {
            // 传来要做的事和数组
            state.goodsOpen.push(...arr)
        },
        removeGoodsOpen(state, obj) {
            // 传来要做的事和数组
            state.goodsOpen.map((item, index) => {
                if(item.name === obj.name) {
                    state.goodsOpen.splice(index, 1)
                }
            })
        },
        setGoodsOpen(state, arr) {
            state.goodsOpen = arr
        }
    },
    actions: {
        
    },
    getters: {
        // 选择项目物品栏中的物品 根据myKey判断有什么
        goods2(state) {
            // 调试容错采用if-else
            const arr = []
            for(const item of state.businessSelect[state.businessKey].data) {
                arr.push(allGoods[item])
            }
            return arr
        },
        goodState(state) {
            const arr = []
            if(state.popText === '钱箱') {
                for(let item of state.businessSelect[state.businessKey].moneyBox) {
                    arr.push(allGoods[item])
                }
            }else if(state.popText === '客户签字'){
                for(let item of state.businessSelect[state.businessKey].peopleSign) {
                    arr.push(allGoods[item])
                }
            }else if(state.popText == '传票栏') {
                for(let item of state.businessSelect[state.businessKey].cultureIn) {
                    arr.push(allGoods[item])
                }
            }else if(state.popText == '印章盒') {
                for(let item of state.businessSelect[state.businessKey].sealBox) {
                    arr.push(allGoods[item])
                }
            }
            else if(state.popText == '验钞机') {
                for(let item of state.businessSelect[state.businessKey].currencyDetector) {
                    arr.push(allGoods[item])
                }
            }else if(state.popText == '打印机') {
                for(let item of state.businessSelect[state.businessKey].printer) {
                    arr.push(allGoods[item])
                }
            }else if(state.popText == '资料') {
                for(let item of state.businessSelect[state.businessKey].resource) {
                    arr.push(allGoods[item])
                }
            }else {
                // return
            }
            return arr
        }
    }
}